# Web Forms Web Forms ## Gets all of the web forms in the system. - [GET /webForms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/listwebforms.md): This method will scan all web forms and and return them to the caller. ## Creates a new web form record that does not already exist. - [POST /webForms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/createwebform.md): This method will auto-generate an ID and create a new web form. If an ID is specified for the web form, an error will be thrown. ## Execute Batch Operations - [POST /webForms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified service - [GET /webForms/{tenantId}/service/{service}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/listformsbyservice.md): Returns a list of records with the specified service ## Returns a web form from the system by its ID. - [DELETE /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/deletewebform.md): This method will delete a web form with the specified ID. ## Returns a web form from the system by its ID. - [GET /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/getwebform.md): This method will look up a web form by the specified ID and return it back. ## Partially updates a web form with the specified ID. - [PATCH /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/patchwebform.md): This method will patch an existing web form with the specified ID, using the HTTP PATCH specification. ## Updates a web form with the specified ID. - [PUT /webForms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/web-forms/updatewebform.md): This method will update an existing web form with the specified ID.